Subject: bug#40425: 26.3; eww-open-file is not working with a Tramp file name

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 18 Jul 2020 17:36:57 +0200

Michael Albinus <[email-masked]> writes:

>> Thanks...  eww would have to delete the local copy of the file after
>> rendering, I guess?
>
> Yes. And it should handle links to relative files similar.

I'm not sure I follow you.  Why should eww copy files that are pointed
to by relative URLs?

Anyway, I'm not very enthusiastic at the idea of making local file
copies -- cleaning up isn't guaranteed (if Emacs crashes, for instance),
and files left behind may be a security concern.

Perhaps eww-open-file could just be rewritten to load the file into a
temporary buffer, parse it and then render it, and avoid the URL library
altogether...  I don't see any huge downside to doing it that way.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no